import _inheritsLoose from "@babel/runtime/helpers/inheritsLoose";
import { Component } from 'react';
var Slot = /*#__PURE__*/function (_Component) {
  _inheritsLoose(Slot, _Component);
  function Slot() {
    return _Component.apply(this, arguments) || this;
  }
  var _proto = Slot.prototype;
  _proto.render = function render() {
    var children = this.props.children;
    return /*#__PURE__*/React.createElement(React.Fragment, null, children);
  };
  return Slot;
}(Component);
Slot.displayName = 'Slot';
Slot.componentMetadata = {
  componentName: 'Slot',
  configure: {
    props: [{
      name: '___title',
      title: {
        type: 'i18n',
        'en-US': 'Slot Title',
        'zh-CN': '插槽标题'
      },
      setter: 'StringSetter',
      defaultValue: '插槽容器'
    }, {
      name: '___params',
      title: {
        type: 'i18n',
        'en-US': 'Slot Params',
        'zh-CN': '插槽入参'
      },
      setter: {
        componentName: 'ArraySetter',
        props: {
          itemSetter: {
            componentName: 'StringSetter',
            props: {
              placeholder: {
                type: 'i18n',
                'zh-CN': '参数名称',
                'en-US': 'Argument Name'
              }
            }
          }
        }
      }
    }],
    component: {
      isContainer: true
    },
    // events/className/style/general/directives
    supports: false
  }
};
export default Slot;