import { runInAction } from 'mobx';
import renderer from './renderer';
if (typeof window !== 'undefined') {
  window.SimulatorRenderer = renderer;
}
window.addEventListener('beforeunload', function () {
  runInAction(function () {
    var _renderer$dispose;
    window.LCSimulatorHost = null;
    (_renderer$dispose = renderer.dispose) === null || _renderer$dispose === void 0 ? void 0 : _renderer$dispose.call(renderer);
    window.SimulatorRenderer = null;
    window.ReactDOM.unmountComponentAtNode(document.getElementById('app'));
  });
});
export default renderer;